void printi(int val);

int main()
{
  int i, val = 0;

  for (i = 0; i < 10; i++) {
    switch (i) {
    case 0:  val = 10; break;
    case 2:  val = 12; break;
    case 4:  val = 14; break;
    case 8:  val = 18; break;
    default: val = i;  break;
    }
    printi(i);
    printi(val);
  }

  return 0;
}
